using Microsoft.VisualBasic.CompilerServices;
using System;

//namespace SE0085.StCl
namespace FAS_LIB
{
    public class scOrderLineStat
    {
        private int _OrderLineStatId;
        private int _OrderLineId;
        private int _OrdSectsId;
        private string _OrderLinestatus;
        private DateTime _OrderLineStatUpdDt;
        private bool _OrderLineStatFwUpFlag;
        private DateTime _OrderLineStatFwUpDt;
        private int _OrderLineStatFwUpTypeId;
        private int _OrderLineStatFwUpAssocId;
        private int _OrderLineUpdAssocId;

        public int OrderLineStatId
        {
            get
            {
                return this._OrderLineStatId;
            }
            set
            {
                this._OrderLineStatId = value;
            }
        }

        public int OrderLineId
        {
            get
            {
                return this._OrderLineId;
            }
            set
            {
                this._OrderLineId = value;
            }
        }

        public int OrdSectsId
        {
            get
            {
                return this._OrdSectsId;
            }
            set
            {
                this._OrdSectsId = value;
            }
        }

        public string OrderLineStatus
        {
            get
            {
                return this._OrderLinestatus;
            }
            set
            {
                this._OrderLinestatus = value;
            }
        }

        public DateTime OrderLineStatUpdDt
        {
            get
            {
                return this._OrderLineStatUpdDt;
            }
            set
            {
                this._OrderLineStatUpdDt = value;
            }
        }

        public bool OrderLineStatFwUpFlag
        {
            get
            {
                return this._OrderLineStatFwUpFlag;
            }
            set
            {
                this._OrderLineStatFwUpFlag = value;
            }
        }

        public DateTime OrderLineStatFwUpDt
        {
            get
            {
                return this._OrderLineStatFwUpDt;
            }
            set
            {
                this._OrderLineStatFwUpDt = value;
            }
        }

        public int OrderLineStatFwUpTypeId
        {
            get
            {
                return this._OrderLineStatFwUpTypeId;
            }
            set
            {
                this._OrderLineStatFwUpTypeId = value;
            }
        }

        public int OrderLineStatFwUpAssocId
        {
            get
            {
                return this._OrderLineStatFwUpAssocId;
            }
            set
            {
                this._OrderLineStatFwUpAssocId = value;
            }
        }

        public int OrderLineUpdAssocId
        {
            get
            {
                return this._OrderLineUpdAssocId;
            }
            set
            {
                this._OrderLineUpdAssocId = value;
            }
        }

        public scOrderLineStat()
        {
            this._OrderLineStatId = 0;
            this._OrderLineId = 0;
            this._OrdSectsId = 0;
            this._OrderLinestatus = "";
            this._OrderLineStatUpdDt = Conversions.ToDate("01/01/1901");
            this._OrderLineStatFwUpFlag = false;
            this._OrderLineStatFwUpDt = Conversions.ToDate("01/01/1901");
            this._OrderLineStatFwUpTypeId = 0;
            this._OrderLineStatFwUpAssocId = 0;
            this._OrderLineUpdAssocId = 0;
        }
    }
}
